import { QueryTableSource } from "@yukawa/chain-base-angular-store";
import { MatPaginator } from "@angular/material/paginator";
import { MatSort } from "@angular/material/sort";
import { Observable } from "rxjs";
import { AccountService } from "@yukawa/chain-crm-angular-core";
import { AccountFilter } from "@yukawa/chain-crm-angular-core";
import { Partner } from '@yukawa/chain-crm-angular-core';
export declare class AccountQueryStore extends QueryTableSource<AccountFilter, Partner> {
    protected service: AccountService;
    protected paginator?: MatPaginator;
    protected sort?: MatSort;
    protected tableFilter?: any;
    constructor(service: AccountService, paginator?: MatPaginator, sort?: MatSort, tableFilter?: any);
    protected queryTable(): Observable<any>;
}
