import { EventEmitter, OnInit } from '@angular/core';
import { MatPaginator } from "@angular/material/paginator";
import { MatSort } from "@angular/material/sort";
import { AccountQueryStore } from "./account-table-query.store";
import { AccountService } from "@yukawa/chain-crm-angular-core";
import { AccountFilter } from "@yukawa/chain-crm-angular-core";
import { Partner } from '@yukawa/chain-crm-angular-core';
import * as i0 from "@angular/core";
export declare class AccountTableComponent implements OnInit {
    private service;
    dataSource: AccountQueryStore;
    displayedColumns: string[];
    customColumns: any[];
    AccountFilter: AccountFilter;
    action: EventEmitter<any>;
    paginator: MatPaginator;
    sort: MatSort;
    constructor(service: AccountService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    reload(keyword: string): void;
    protected applyFilter(filter: AccountFilter): void;
    onAction(type: string, partner: Partner | any): void;
    protected fireAction(action: any): void;
    static ɵfac: i0.ɵɵFactoryDef<AccountTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AccountTableComponent, "crm-account-overview-table", never, { "displayedColumns": "displayedColumns"; "customColumns": "customColumns"; "AccountFilter": "AccountFilter"; }, { "action": "action"; }, never, never>;
}
