import { QueryTableSource } from "@yukawa/chain-base-angular-store";
import { MatPaginator } from "@angular/material/paginator";
import { MatSort } from "@angular/material/sort";
import { Observable } from "rxjs";
import { Relation, RelationFilter, RelationService } from "@yukawa/chain-crm-angular-core";
export declare class RelationQueryStore extends QueryTableSource<RelationFilter, Relation> {
    protected service: RelationService;
    protected paginator?: MatPaginator;
    protected sort?: MatSort;
    protected tableFilter?: any;
    constructor(service: RelationService, paginator?: MatPaginator, sort?: MatSort, tableFilter?: any);
    protected queryTable(): Observable<any>;
    /**
     * Only include paginator to serverMutations. Sorting should be done client side
     * @protected
     */
    protected initReloadMutations(): any[];
}
