import { QueryTableSource } from "@yukawa/chain-base-angular-store";
import { MatPaginator } from "@angular/material/paginator";
import { MatSort } from "@angular/material/sort";
import { Observable } from "rxjs";
import { ContactLog, ContactLogFilter, ContactLogService } from '@yukawa/chain-crm-angular-core';
export declare class ContactLogQueryStore extends QueryTableSource<ContactLogFilter, ContactLog> {
    protected service: ContactLogService;
    protected paginator?: MatPaginator;
    protected sort?: MatSort;
    protected tableFilter?: ContactLogFilter;
    constructor(service: ContactLogService, paginator?: MatPaginator, sort?: MatSort, tableFilter?: ContactLogFilter);
    protected queryTable(): Observable<any>;
}
